; ===========================
; gbc
; ===========================

; all keys can be overridden for a particular board using key.<boardtag>
; example:
;   priority = 0
;   priority.rpi4 = 3
; Complete sections may be overridden. In such cases, all key from the global section are ignored,
; you must redefine them all
; example
; [core.0]
; [core.0.rpi4]
; Board tags are defined by BR2_PACKAGE_RECALBOX_TARGET_<tag>

[system]
uuid = "8675fd2c-db99-44bd-a6e5-eaf70b4f8f1b"
name = "gbc"
fullname = "Game Boy Color"
platforms = "gbc"
theme.folder = "gbc"
roms.folder = "%ROOT%/gbc"
screenscraper.id = 10
doc.link.fr = "https://wiki.recalbox.com/fr/emulators/handhelds/game-boy-color"
doc.link.en = "https://wiki.recalbox.com/en/emulators/handhelds/game-boy-color"
port = 0
readonly = 0
icon.unicode = $F265

[properties]
type = handheld
device.pad = mandatory
device.keyboard = no
device.mouse = no
device.lightgun = no
release.date = "1998-10"
manufacturer = "Nintendo"
retroachievements = 1
crt.multiresolution = 0
crt.multiregion = 0

[core.0]
package = BR2_PACKAGE_LIBRETRO_GAMBATTE
priority = 1
emulator = "libretro"
core = "gambatte"
extensions = ".gb .gbc .zip .7z"
netplay = 0
compatibility = high
speed = high

[core.1]
package = BR2_PACKAGE_LIBRETRO_TGBDUAL
priority = 2
emulator = "libretro"
core = "tgbdual"
extensions = ".gb .gbc .zip .7z"
netplay = 0
compatibility = high
speed = high

[core.2]
package = BR2_PACKAGE_LIBRETRO_MGBA
priority = 3
emulator = "libretro"
core = "mgba"
extensions = ".gb .gbc .zip .7z"
netplay = 0
compatibility = high
speed = high

[core.3]
package = BR2_PACKAGE_LIBRETRO_SAMEBOY
priority = 4
emulator = "libretro"
core = "sameboy"
extensions = ".gb .gbc .zip .7z"
netplay = 0
compatibility = high
speed = high

[core.4]
package = BR2_PACKAGE_LIBRETRO_MESEN_S
priority = 5
emulator = "libretro"
core = "mesen_s"
extensions = ".gb .gbc .zip .7z"
netplay = 0
compatibility = high
speed = high

[core.5.x86_64]
package = BR2_PACKAGE_LIBRETRO_BSNES
priority = 6
emulator = "libretro"
core = "bsnes"
extensions = ".gb .gbc .zip .7z"
netplay = 0
compatibility = high
speed = high
